[xml/sgml-commit] r1823 - in /packages/w3c-sgml-lib/trunk/debian: changelog preinst rules

periapt-guest at users.alioth.debian.org periapt-guest at users.alioth.debian.org
Sun Jan 30 09:40:30 UTC 2011


Author: periapt-guest
Date: Sun Jan 30 09:40:29 2011
New Revision: 1823

URL: http://svn.debian.org/wsvn/debian-xml-sgml/?sc=1&rev=1823
Log:
Changed /etc/sgml and /etc/xml code to avoid conflict with xml-core

Added:
    packages/w3c-sgml-lib/trunk/debian/preinst   (with props)
Modified:
    packages/w3c-sgml-lib/trunk/debian/changelog
    packages/w3c-sgml-lib/trunk/debian/rules

Modified: packages/w3c-sgml-lib/trunk/debian/changelog
URL: http://svn.debian.org/wsvn/debian-xml-sgml/packages/w3c-sgml-lib/trunk/debian/changelog?rev=1823&op=diff
==============================================================================
--- packages/w3c-sgml-lib/trunk/debian/changelog (original)
+++ packages/w3c-sgml-lib/trunk/debian/changelog Sun Jan 30 09:40:29 2011
@@ -1,3 +1,9 @@
+w3c-sgml-lib (1.1-3) unstable; urgency=low
+
+  * Changed /etc/sgml and /etc/xml code to avoid conflict with xml-core
+
+ -- Nicholas Bamber <nicholas at periapt.co.uk>  Sun, 30 Jan 2011 09:40:28 +0000
+
 w3c-sgml-lib (1.1-2) unstable; urgency=low
 
   * Releasing to unstable

Added: packages/w3c-sgml-lib/trunk/debian/preinst
URL: http://svn.debian.org/wsvn/debian-xml-sgml/packages/w3c-sgml-lib/trunk/debian/preinst?rev=1823&op=file
==============================================================================
--- packages/w3c-sgml-lib/trunk/debian/preinst (added)
+++ packages/w3c-sgml-lib/trunk/debian/preinst Sun Jan 30 09:40:29 2011
@@ -1,0 +1,40 @@
+#!/bin/sh
+# preinst script for w3c-sgml-lib
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <new-preinst> `install'
+#        * <new-preinst> `install' <old-version>
+#        * <new-preinst> `upgrade' <old-version>
+#        * <old-preinst> `abort-upgrade' <new-version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+    install|upgrade)
+
+        # setup directories used by catalogs
+        mkdir -p /etc/xml
+        mkdir -p /etc/sgml
+
+    ;;
+
+    abort-upgrade)
+    ;;
+
+    *)
+        echo "preinst called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0

Propchange: packages/w3c-sgml-lib/trunk/debian/preinst
------------------------------------------------------------------------------
    svn:executable = *

Modified: packages/w3c-sgml-lib/trunk/debian/rules
URL: http://svn.debian.org/wsvn/debian-xml-sgml/packages/w3c-sgml-lib/trunk/debian/rules?rev=1823&op=diff
==============================================================================
--- packages/w3c-sgml-lib/trunk/debian/rules (original)
+++ packages/w3c-sgml-lib/trunk/debian/rules Sun Jan 30 09:40:29 2011
@@ -1,13 +1,8 @@
 #!/usr/bin/make -f
-# -*- makefile -*-
-# Sample debian/rules that uses debhelper.
-# This file was originally written by Joey Hess and Craig Small.
-# As a special exception, when this file is copied by dh-make into a
-# dh-make output file, you may use that output file without restriction.
-# This special exception was added by Craig Small in version 0.37 of dh-make.
 
-# Uncomment this to turn on verbose mode.
-#export DH_VERBOSE=1
+DH_VERBOSE=1
+PKG  := $(shell dh_listpackages)
+TMP  := $(CURDIR)/debian/$(PKG)
 
 %:
 	dh $@ 
@@ -15,3 +10,7 @@
 override_dh_install:
 	dh_install
 	dh_installxmlcatalogs
+	rm -rf $(TMP)/etc
+
+
+




More information about the debian-xml-sgml-commit mailing list